describe('ClaimNotes', () => {
    const saveBtn = '.q-field__append > .q-btn > .q-btn__content > .q-icon';
    const firstNote = '.q-infinite-scroll :nth-child(1) > .q-card__section--vert';
    beforeEach(() => {
        cy.login('developer');
        cy.visit(`/#/claim/${2}/notes`);
    });

    it('should add a new note', () => {
        const message = 'This is a new message.';
        cy.get('.q-textarea').type(message);
        cy.get(saveBtn).click();
        cy.get(firstNote).should('have.text', message);
    });
});
